Google Web Toolkit
Search Google Code:

# Interface HasFocus

public interface HasFocus
extends SourcesFocusEvents, SourcesKeyboardEvents
// Implemented by `FocusPanel`, `FocusWidget`, `SuggestBox`, `Tree`
A widget that implements this interface can receive keyboard focus.

## Methods

getTabIndex() | Gets the widget's position in the tab index.
setAccessKey(char) | Sets the widget's 'access key'.
setFocus(boolean) | Explicitly focus/unfocus this widget.
setTabIndex(int) | Sets the widget's position in the tab index.

## Method Detail

### getTabIndex

public int getTabIndex()
Gets the widget's position in the tab index.

#### Return Value

the widget's tab index

### setAccessKey

public void setAccessKey(char key)
Sets the widget's 'access key'. This key is used (in conjunction with a browser-specific modifier key) to automatically focus the widget.

#### Parameters

key
  the widget's access key

### setFocus

public void setFocus(boolean focused)
Explicitly focus/unfocus this widget. Only one widget can have focus at a time, and the widget that does will receive all keyboard events.

#### Parameters

focused
  whether this widget should take focus or release it

### setTabIndex

public void setTabIndex(int index)
Sets the widget's position in the tab index. If more than one widget has the same tab index, each such widget will receive focus in an arbitrary order. Setting the tab index to `-1` will cause this widget to be removed from the tab order.

#### Parameters

index
  the widget's tab index